@charset "utf-8";
/* CSS Document */

body{
    position: relative;
    height: auto;
    margin: 0 0;
}

nav{
    color: white;
    background: #e31e24;
    position: fixed;
    top: 0;
    left: 0;
    height:70px;
    width: 100%;
    overflow: hidden;
    z-index: 3;
    transition: all .2s ease-in-out;
}

.nav-scrolled{
    background-color: #e31e24;
    box-shadow: #0000003f 0px 5px 5px;
}

nav ul{
    list-style-type: none;
    margin: 0;
    padding: 0;
    height:70px;
    width:50%;
    float: right;
}

nav li{
    display: inline-block;
    box-sizing: border-box;
}

.nav li a {
    color: white;
    float: left;
    text-align: center;
    padding: 25px 20px;
    text-decoration: none;
    font-size: 17px;
    text-transform: uppercase;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    transition: all .2s ease-in-out;
}

nav a:hover{
    background: white;
    color: #e31e24;
}

.pocetna{
    height: 100vh;
    width: 100%;
    background-image: url("naslovna.jpg");
    background-size:cover;
    background-position: center;
    background-attachment: fixed;
}

.proizvodi {
	display: flex;
	width: 100%; 
	height: 100vh;
}

.column {
	flex: 1;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	position: relative;
}

.column img {
	max-width: 100%;
	height: auto;
	margin-bottom: 20px;
	transition: all 0.2s ease-out 0s;
}

.column img:hover{
	transform: scale(1.4);
    height: auto;
}

.crvena-bg {
	background-color: #d0514f; 
}
.smeda-bg {
	background-color: #93412d;
}
.zuta-bg {
	background-color: #fdef79;
}
.zelena-bg {
	background-color: #c9f08c;
}
	
#reklama{
    background-image:url("pozadina.jpg");
    background-attachment: fixed;
    position: relative;
    height: 100vh;
    width: 100%;
    display: flex;
    flex-wrap: wrap;	
    background-color: #000;
    flex-direction:column;
    justify-content: center;
    text-align-last: content;
    gap: 10%;
}

@font-face {
  font-family: Wallman;
  src: url("Wallman-Bold-free.ttf");
}

.sect-headline{
    font-size: 60px;
    font-family: Wallman;
    text-transform: uppercase;
    text-align: center;
	color: aliceblue;
    text-shadow:#000 0px 2px 2px ;
}

#vid-bg-cnt{
    z-index: 0;
    height:auto;
    overflow: hidden;
    flex: 2 1 0px;
}

#vid-bg{
    height: 50vh;
    width: 100%;
}

.vid-hovered{
    display:inline;
    flex: 1 1 0px;
    z-index: 1;
    text-align: center;
    font-size: 26px;
    align-items: center;
    padding-right: 10px;
    text-shadow:#000 0px 2px 2px ;
    gap:30px;
}

.vid-hovered p{
    text-align: left;
    font-family: 'Nanum Gothic', sans-serif;
    font-size: 24px;
	color:aliceblue;
}

.vid-hovered h1{
    text-align: left;
    font-size: 50px;
    font-family: "Wallman";
	color:aliceblue;
}

.opis-videa{
    display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
    text-align: center;
    width: 75%;
	height: auto;
    padding-left: 20px;
    gap:10px;
    background-image: linear-gradient(90deg, rgba(177,27,32,1) 0%, rgba(227,30,36,0.50) 100%);
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}


.footer {    
	display: inline-table;
	background-color: #e31e24;           
	color: black;            
	text-align: center;           
	padding: 1rem;           
	width: 100%;          
	bottom: 0;
}

@media (max-width: 768px) {
            .column {
                flex: 1 1 45%;
            }

            .vid-hovered h1 {
                font-size: 24px;
            }

            .vid-hovered p {
                font-size: 16px;
            }
        }

@media (max-width: 480px) {
            nav ul {
                display: none;
            }

            nav a {
                padding: 5px 10px;
                font-size: 16px;
            }

            .column {
                flex: 1 1 100%;
            }

            .vid-hovered h1 {
                font-size: 20px;
            }

            .vid-hovered p {
                font-size: 14px;
            }

            #vid-bg {
                height: 40vh;
            }
			 footer {
                font-size: 14px;
                padding: 20px;
	}}

